CVE-2018-12941

Remote Code Execution

Publish date

24 July 2018

Identifier

CVE-2018-12941

Manufacturer

SeedDMS

Product

SeedDMS

Patched

Patched on 2nd July 2018 in version 5.1.8.
See https://sourceforge.net/p/seeddms/code/ci/master/tree/CHANGELOG.

Authors

Dennis Herrmann and Malte Poll

Description

This vulnerability allows remote attackers to execute arbitrary code in SeedDMS (formerly LetoDMS and MyDMS) before 5.1.8 by adding an system command at the end of the "cacheDir" path and following usage of the "Clear Cache" functionality. This allows an authenticated attacker, with permission to the Settings functionality, to inject arbitrary system commands within the application by manipulating the "Cache directory" path. An attacker can use it to perform malicious tasks such as to extract, change, or delete sensitive information or run system commands on the underlying operating system.

 

CREST
CREST STAR
CHECK IT Health Check Service
CBEST
Cyber Essentials
CESG Certified Service
First - Improving Security Together
BSI ISO 9001 FS 581360
BSI ISO 27001 IS 553326
PCI - Approved Scanning Vendor
NCSC CCSC - Assured Service Provider